Package org.codehaus.janino.util.signature

# Class SignatureParser.FormalTypeParameter

java.lang.Object
org.codehaus.janino.util.signature.SignatureParser.FormalTypeParameter

Enclosing class:
  `SignatureParser`

public static class SignatureParser.FormalTypeParameter extends Object
Representation of the "FormalTypeParameter" clause, e.g. '`T extends MyClass & MyInterface`'.

## Field Summary

Fields
Modifier and Type
Field
Description
`final SignatureParser.FieldTypeSignature`
`classBound`
The class that this formal type parameter (optionally) extends.
`final String`
`identifier`
The name of the formal type parameter, e.g.
`final List<SignatureParser.FieldTypeSignature>`
`interfaceBounds`
The interfaces that this formal type parameter (optionally) extends.

## Constructor Summary

Constructors
Constructor
Description
`FormalTypeParameter(String identifier, SignatureParser.FieldTypeSignature classBound, List<SignatureParser.FieldTypeSignature> interfaceBounds)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### identifier

public final String identifier
The name of the formal type parameter, e.g. '`T`'.

### classBound

@Nullable public final SignatureParser.FieldTypeSignature classBound
The class that this formal type parameter (optionally) extends.

### interfaceBounds

public final List<SignatureParser.FieldTypeSignature> interfaceBounds
The interfaces that this formal type parameter (optionally) extends.

## Constructor Details

### FormalTypeParameter

public FormalTypeParameter(String identifier, @Nullable SignatureParser.FieldTypeSignature classBound, List<SignatureParser.FieldTypeSignature> interfaceBounds)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`